Subject: Re: [SUA issues 3,6,7] text

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 31 Aug 2001 10:44:36 -0500

John,

Please make things consistent one way or the other.

If you want to shrink field definitions to their usable size then
the Credit field in section 3.9.10 should be 1 byte and not 32.  SMI
in 3.9.11 should be two bits instead of 16.  Interworking in ASP
Capabilities (if it is still there) should be 2 bits instead of 8.
Cause Type in section 3.9.6 should be 3 bits instead of 8.  SRN and
DRN in sections 3.9.4 and 3.9.5 should be 16 bits rather than 32
bits  Point code in 3.9.2.4 should be 24 bits rather than 32 bits.
No. Digits in 3.9.2.3 cannot possibily use the entire 8 bit range
(GTs have to be small enough to fit into XUDT/CR in a single
packet), so not all 8 bits are needed.  Routing Indicator in section
3.9.2 need only be 3 bits not 16.  Address Indicator only has bit 1
2 and 3 defined but is drawn with 16.  Bits 4 through 16 (instead of
4 thru 8) should be indicated as spare and coded zero.  Protocol
class only requires 2 bits.  Sequence control only requires 8 bits.
Importance only requires 3 bits.  Congestion level in section 3.8.15
only requires 3 bits.  Status type and Status Id in section 3.8.13
only require 1 bit and 3 bits.  Error Code in 3.8.12 only requires 5
bits of 32.  Traffic Mode Type in 3.8.11 only requires 3 bits of 32.
Reason in 3.8.10 only requires 2 bits of 32.  ...

--brian

John Loughney wrote:                                         (Fri, 31 Aug 2001 15:47:47)
> Hi Brian,
> 
> I will send a new proposal WRT to this issue, but first some small comments:
> 
> > > Because Hop Counter appears to have some non-SCCP (e.g. IPSP) uses,
> > > is there any reason to restrict it to 8 bits?  Why not 32?  We have
> > > lots of parameters that have less than 15 code-points but which are
> > > 32-bits.  Might as well make Hop Counter 32 bits.
> 
> I think we need to distinguish Hop Counter in SCCP from the hop count in
> IP.  So I am going to refer this as SS7 Hop Count.  I see this as
> something which may be decremented every time the SS7 address is
> translated.  Therefore 32 bits would be overkill.  I suggest 8 bits,
> and keeping it aligned with the existing SS7 Hop Count.
> 
> John

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]